FLANG

Public Types | List of all members
Fortran::evaluate::Type< TypeCategory::Real, 4 > Class Reference
Inheritance diagram for Fortran::evaluate::Type< TypeCategory::Real, 4 >:

## Public Types
using | Scalar = value::Real< typename Type< TypeCategory::Integer, 4 >::Scalar, 24 >

## Additional Inherited Members
Public Member Functions inherited from Fortran::evaluate::TypeBase< TypeCategory::Real, 4 >
constexpr bool | operator== (const TypeBase &) const
Static Public Member Functions inherited from Fortran::evaluate::TypeBase< TypeCategory::Real, 4 >
static constexpr DynamicType | GetType ()
static std::string | AsFortran ()
Static Public Attributes inherited from Fortran::evaluate::TypeBase< TypeCategory::Real, 4 >
static constexpr TypeCategory | category
static constexpr int | kind

The documentation for this class was generated from the following file:

- include/flang/Evaluate/type.h